<?php
// Version: 1.0; ManagePermissions

$txt['permissions_title'] = 'Permissies bewerken';
$txt['permissions_modify'] = 'Aanpassen';
$txt['permissions_access'] = 'Toegang';
$txt['permissions_allowed'] = 'Toegestaan';
$txt['permissions_denied'] = 'Geweigerd';

$txt['permissions_switch'] = 'Schakel om naar';
$txt['permissions_global'] = 'Globaal';
$txt['permissions_local'] = 'Lokaal';

$txt['permissions_groups'] = 'Permissies per ledengroep';
$txt['permissions_all'] = 'alle';
$txt['permissions_none'] = 'geen';
$txt['permissions_set_permissions'] = 'Stel de permissies in';

$txt['permissions_with_selection'] = 'Met selectie';
$txt['permissions_apply_pre_defined'] = 'Gebruik het voor-gedefinieerde permissie-profiel';
$txt['permissions_select_pre_defined'] = 'Kies een voor-gedefinieerde permissie-profiel';
$txt['permissions_copy_from_board'] = 'Kopieer permissies van dit board';
$txt['permissions_select_board'] = 'Selecteer een board';
$txt['permissions_like_group'] = 'Stel de permissies in zoals bij deze ledengroep';
$txt['permissions_select_membergroup'] = 'Kies een ledengroep';
$txt['permissions_add'] = 'Voeg permissie toe';
$txt['permissions_remove'] = 'Verwijder permissie';
$txt['permissions_deny'] = 'Ontzeg permissie';
$txt['permissions_select_permission'] = 'Kies een permissie';
$txt['permissions_set_permissions'] = 'Stel permissies in';

// All of the following block of strings should not use entities, instead use \\" for &quot; etc.
$txt['permissions_only_one_option'] = 'Je kunt slechts &eacute;&eacute;n actie kiezen om de permissies aan te passen';
$txt['permissions_no_action'] = 'Geen actie gekozen';
$txt['permissions_deny_dangerous'] = 'Je staat op het punt &eacute;&eacute;n of meerdere permissies te ontzeggen.\\nDit kan gevaarlijk zijn en ongewenste resultaten tot gevolg hebben als je je er niet van hebt verzekerd dat iemand \\\'per ongeluk\\\' in de groep terecht is gekomen welke de permissies ontzegd zijn.\\n\\nWeet je zeker dat je door wilt gaan?';

$txt['permissions_boards'] = 'Permissies per board';

$txt['permissions_modify_group'] = 'Bewerk ledengroep';
$txt['permissions_general'] = 'Algemene permissies';
$txt['permissions_board'] = 'Globale board-permissies';
$txt['permissions_commit'] = 'Opslaan';
$txt['permissions_modify_local'] = 'Lokale board-permissies aanpassen';
$txt['permissions_on'] = 'op board';
$txt['permissions_local_for'] = 'Lokale permissies voor ledengroep';
$txt['permissions_option_on'] = 'T';
$txt['permissions_option_off'] = 'N';
$txt['permissions_option_deny'] = 'O';
$txt['permissions_option_desc'] = 'Voor iedere permissie kun je kiezen uit \'Toestaan\' (T), \'Niet-toestaan\' (N), of <span style="color: red;">\'Ontzeggen\' (O)</span>.<br /><br />Onthoud dat wanneer je voor -Ontzeggen- kiest, ieder lid -  of het nou een moderator is of niet - in die groep die permissie zal worden ontzegd.<br />Om deze reden zul je -Ontzeggen- zorgvuldig dienen te gebruiken. -Niet-toestaan- blokkeert TENZIJ op andere wijze toegekend.';

$txt['permissiongroup_general'] = 'Algemeen';
$txt['permissionname_view_stats'] = 'Bekijk de forum statistieken';
$txt['permissionhelp_view_stats'] = 'De forum statistieken geven alle statistieken van het forum, zoals aantal leden, aantal berichten per dag, en verscheidene top 10 statistieken. Deze permissie toestaan laat een link verschijnen onder aan de index pagina (\'[Meer statistieken]\').';
$txt['permissionname_view_mlist'] = 'Bekijk de ledenlijst';
$txt['permissionhelp_view_mlist'] = 'De ledenlijst toont alle geregistreerde leden van het forum. De lijst kan worden gesorteerd en worden doorzocht. De lijst is gelinkt vanaf de forum index en de statistieken pagina, door te klikken op het aantal leden.';
$txt['permissionname_who_view'] = 'Bekijk wie er online zijn';
$txt['permissionhelp_who_view'] = '\'Gebruikers online\' toont alle leden die online zijn en wat ze aan het doen zijn op dat moment. Deze permissie zal alleen werken als dit is geactiveerd in \'Features en Opties\'. Je kunt de lijst bekijken door te klikken op de link in de \'Gebruikers Online\' sectie in de board index.';
$txt['permissionname_search_posts'] = 'Zoeken naar berichten en topics';
$txt['permissionhelp_search_posts'] = 'De zoek permissie staat gebruikers toe alle boards waar zij toegang toe hebben af te zoeken. Als deze permissie is geactiveerd, zal een \'Zoek\' knop worden toegevoegd aan de knoppenbalk.';
$txt['permissionname_karma_edit'] = 'Karma van andere leden aanpassen';
$txt['permissionhelp_karma_edit'] = 'Karma is een feature die de populariteit van een lid toont. Om deze feature te kunnen gebruiken, dient dit te zijn geactiveerd in \'Features en Opties\'. Deze permissie zal leden de mogelijkheid geven een stem uit te bregen. Gasten kunnen dat niet.';

$txt['permissiongroup_pm'] = 'Persoonlijke Berichten';
$txt['permissionname_pm_read'] = 'Lees Persoonlijke Berichten';
$txt['permissionhelp_pm_read'] = 'Deze permissie staat leden toe om toegang te krijgen tot de Persoonlijke Berichten sectie en Persoonlijke Berichten te ontvangen. Zonder deze permissie kan een gebruiker geen persoonlijke berichten versturen.';
$txt['permissionname_pm_send'] = 'Stuur Persoonlijk Berichten';
$txt['permissionhelp_pm_send'] = 'Stuur Persoonlijk Berichten naar andere leden. Vereist dat de \'Lees Persoonlijke Berichten\' permissie aan staat.';

$txt['permissiongroup_calendar'] = 'Kalender';
$txt['permissionname_calendar_view'] = 'Bekijk de kalender';
$txt['permissionhelp_calendar_view'] = 'De kalender toont voor iedere maand de verjaardagen, gebeurtenissen en feestdagen. Met deze permissie krijgt de gebruiker toegang tot de kalender. Als deze permissie is geactiveerd, verschijnt er een knop in de knoppenbalk en zal er een lijst verschijnen onderaan de forumindexpagina met daarop de huidige en aankomende verjaardagen, gebeurtenissen en vakantiedagen. De kalender dient dan wel te zijn geaktiveerd in \'Features en Opties\'.';
$txt['permissionname_calendar_post'] = 'Voeg gebeurtenissen toe aan de kalender';
$txt['permissionhelp_calendar_post'] = 'Een gebeurtenis is een topic dat gelinkt is aan een bepaalde datum of een periode. Het aanmaken van een gebeurtenis kan worden gedaan vanaf de kalender. Een gebeurtenis kan alleen worden gemaakt als de gebruiker die de gebeurtenis aanmaakt nieuwe berichten mag maken.';
$txt['permissionname_calendar_edit'] = 'Bewerk gebeurtenissen in de kalender';
$txt['permissionhelp_calendar_edit'] = 'Een gebeurtenis is een topic die gelinkt is aan een bepaalde datum of een periode. Een gebeurtenis kan worden bewerkt door op het rode sterretje (*) te klikken naast de gebeurtenis in het kalenderscherm. Om een gebeurtenis te kunnen bewerken, moet de gebruiker voldoende permissies hebben om het eerste bericht van het topic dat aan de gebeurtenis is gekoppeld te kunnen bewerken.';
$txt['permissionname_calendar_edit_own'] = 'Eigen gebeurtenissen';
$txt['permissionname_calendar_edit_any'] = 'Elke gebeurtenis';

$txt['permissiongroup_maintenance'] = 'Forum beheer';
$txt['permissionname_admin_forum'] = 'Beheer forum en database';
$txt['permissionhelp_admin_forum'] = 'Deze permissie geeft de gebruiker de mogelijkheid om:<ul><li>de forum, database en de thema-instellingen te veranderen</li><li>packages te beheren</li><li>gebruik te maken van forum- en database-onderhoudstools</li><li>het bekijken van fouten- en moderatie-log bestanden</li></ul>Wees voorzichtig met deze permissie, daar deze erg krachtig is.';
$txt['permissionname_manage_boards'] = 'Beheer boards en categorie&euml;n';
$txt['permissionhelp_manage_boards'] = 'Deze permissie staat toe om boards en categorie&euml;n aan te maken, te wijzigen en te verwijderen.';
$txt['permissionname_manage_attachments'] = 'Beheer bijlagen en avatars';
$txt['permissionhelp_manage_attachments'] = 'Deze permissie verschaft toegang tot de bestandsbeheer waar alle bijlagen en avatars op een rijtje staan en kunnen worden verwijderd.';
$txt['permissionname_manage_smileys'] = 'Beheer smileys';
$txt['permissionhelp_manage_smileys'] = 'Hiermee kun je toegang krijgen tot het smiley beheer. In het smileybeheer kun je smileys en smiley sets toevoegen, bewerken en verwijderen.';
$txt['permissionname_edit_news'] = 'Bewerk nieuws';
$txt['permissionhelp_edit_news'] = 'De nieuws functie toont willekeurig een nieuwsregel op elk scherm. Om dit te tonen dient dit geactiveerd te zijn in de foruminstellingen.';

$txt['permissiongroup_member_admin'] = 'Ledenbeheer';
$txt['permissionname_moderate_forum'] = 'Beheer forum leden';
$txt['permissionhelp_moderate_forum'] = 'Deze permissie behelst alle belangrijke functies voor ledenbeheer:<ul><li>toegang tot registratiebeheer</li><li>toegang tot bekijk/verwijder leden scherm</li><li>uitgebreide profielinformatie, inclusief traceer IP/gebruiker en (verborgen) online status</li><li>activeer accounts</li><li>ontvang leden goedkeuringsnotificaties en keur accounts goed</li><li>immuun voor negeer PM</li><li>verscheidene kleine zaken</li></ul>';
$txt['permissionname_manage_membergroups'] = 'Beheer en toekennen van ledengroepen';
$txt['permissionhelp_manage_membergroups'] = 'Met deze permissie kan een gebruiker de ledengroepen beheren en toewijzen aan andere leden.';
$txt['permissionname_manage_permissions'] = 'Beheer permissies';
$txt['permissionhelp_manage_permissions'] = 'Met deze permissie kan een gebruiker alle permissies van een ledengroep bewerken, globaal of voor invididuele boards.';
$txt['permissionname_manage_bans'] = 'Beheer banlijst';
$txt['permissionhelp_manage_bans'] = 'Met deze permissie kan een gebruiker namen, IP-adressen, hostnamen en e-mailadressen toevoegen of verwijderen aan de lijst van gebande gebruikers. Het geeft ook toegang tot het bekijken en verwijderen van logbestanden van gebande gebruikers die probeerden in te loggen.';
$txt['permissionname_send_mail'] = 'Stuur een forum e-mail naar leden';
$txt['permissionhelp_send_mail'] = 'Groepsmail naar alle forum leden of slechts enkele ledengroepen via e-mail of persoonlijk bericht (voor de laatste heb je \'Stuur Persoonlijk Bericht\' permissie nodig).';

$txt['permissiongroup_profile'] = 'Leden profielen';
$txt['permissionname_profile_view'] = 'Bekijk profiel samenvatting en statistieken';
$txt['permissionhelp_profile_view'] = 'Deze permissie staat gebruikers toe om bij het klikken op een gebruikersnaam een samenvatting van de profiel gegevens, statistieken, en alle berichten van dat lid te bekijken.';
$txt['permissionname_profile_view_own'] = 'Eigen profiel';
$txt['permissionname_profile_view_any'] = 'Elk profiel';
$txt['permissionname_profile_identity'] = 'Bewerk account instellingen';
$txt['permissionhelp_profile_identity'] = 'Account instellingen zijn de basis instellingen van een profiel, zoals wachtwoord, e-mailadres, ledengroep en voorkeurs taal.';
$txt['permissionname_profile_identity_own'] = 'Eigen profiel';
$txt['permissionname_profile_identity_any'] = 'Elk profiel';
$txt['permissionname_profile_extra'] = 'Bewerk extra profiel instellingen';
$txt['permissionhelp_profile_extra'] = 'Extra profiel instellingen bevatten instellingen voor avatars, thema voorkeuren, notificaties en persoonlijke berichten.';
$txt['permissionname_profile_extra_own'] = 'Eigen profiel';
$txt['permissionname_profile_extra_any'] = 'Elk profiel';
$txt['permissionname_profile_title'] = 'Bewerk extra titel';
$txt['permissionhelp_profile_title'] = 'De extra titel zie je bij je berichten, onder het profiel van elke gebruiker die deze extra titel heeft.';
$txt['permissionname_profile_title_own'] = 'Eigen profiel';
$txt['permissionname_profile_title_any'] = 'Elk profiel';
$txt['permissionname_profile_remove'] = 'Verwijder account';
$txt['permissionhelp_profile_remove'] = 'Deze permissie staat een gebruiker toe zijn account te verwijderen, als het is ingesteld op \'Eigen account\'.';
$txt['permissionname_profile_remove_own'] = 'Eigen account';
$txt['permissionname_profile_remove_any'] = 'Elk account';
$txt['permissionname_profile_remote_avatar'] = 'Kies een elders opgeslagen avatar';
$txt['permissionhelp_profile_remote_avatar'] = 'Omdat avatars de laadtijd van een pagina negatief kunnen be&iuml;nvloeden, is het mogelijk om bepaalde ledengroepen niet toe te staan avatars van andere lokaties te laten gebruiken.';

$txt['permissiongroup_general_board'] = 'Algemeen';
$txt['permissionname_moderate_board'] = 'Modereer board';
$txt['permissionhelp_moderate_board'] = 'De modereer board permissie voegt een paar permissies toe, zodat een moderator ook een echte moderator wordt. Permissies bevatten het reageren op reeds gelockte topics, het veranderen van de verloopdatum van een poll en het bekijken van de resultaten van een poll.';

$txt['permissiongroup_topic'] = 'Topics';
$txt['permissionname_post_new'] = 'Plaats nieuwe topics';
$txt['permissionhelp_post_new'] = 'Deze permissie staat gebruikers toe om nieuwe topics te plaatsen. Met deze permissie is het niet mogelijk om te reageren in een topic.';
$txt['permissionname_merge_any'] = 'Voeg topics samen';
$txt['permissionhelp_merge_any'] = 'Voeg twee of meer topics samen in &eacute;&eacute;n topic. De volgorde van de berichten in het topic worden bepaald door de datum en tijd waarop deze berichten zijn geplaatst. Een gebruiker kan alleen topics samenvoegen op boards waar hij deze rechten heeft. Om meerdere topics ineens samen te voegen dient de gebruiker in zijn profiel quickmoderation te activeren.';
$txt['permissionname_split_any'] = 'Splits topics';
$txt['permissionhelp_split_any'] = 'Splits een topic in twee aparte topics.';
$txt['permissionname_send_topic'] = 'Stuur topics naar vrienden';
$txt['permissionhelp_send_topic'] = 'Deze permissie stelt een gebruiker in staat om een topic naar een vriend te mailen door zijn e-mailadres in te vullen en een berichtje er aan toe te voegen.';
$txt['permissionname_make_sticky'] = 'Maak topics sticky';
$txt['permissionhelp_make_sticky'] = 'Sticky topics zijn topics die altijd bovenaan de lijst met topics op een board blijven staan. Ze kunnen handig zijn voor aankondigingen of andere belangrijke berichten.';
$txt['permissionname_move'] = 'Verplaats topics';
$txt['permissionhelp_move'] = 'Verplaats een topic van het ene board naar een ander board. Gebruikers kunnen alleen een board kiezen waartoe ze toegang hebben.';
$txt['permissionname_move_own'] = 'Eigen topics';
$txt['permissionname_move_any'] = 'Elk topic';
$txt['permissionname_lock'] = 'Zet topics op slot';
$txt['permissionhelp_lock'] = 'Deze permissie stelt een gebruiker in staat om een topic te op slot te zetten (locken) of van het slot af te halen. Dit kan worden gedaan om er zeker van te zijn dat er verder niemand meer reageert. Alleen gebruikers met een \'Modereer board\' permissie zullen dan nog wel kunnen reageren in die topics.';
$txt['permissionname_lock_own'] = 'Eigen topics';
$txt['permissionname_lock_any'] = 'Elk topic';
$txt['permissionname_delete'] = 'Verwijder topics';
$txt['permissionhelp_delete'] = 'Verwijder topics in zijn geheel. Let op dat deze permissie niet is om alleen bepaalde berichten in een topic te kunnen verwijderen!';
$txt['permissionname_delete_own'] = 'Eigen topics';
$txt['permissionname_delete_any'] = 'Elk topic';
$txt['permissionname_post_reply'] = 'Plaats reacties op topics';
$txt['permissionhelp_post_reply'] = 'Deze permissie staat een gebruiker in staat te reageren in topics.';
$txt['permissionname_post_reply_own'] = 'Eigen topics';
$txt['permissionname_post_reply_any'] = 'Elk topic';
$txt['permissionname_modify_replies'] = 'Bewerk reacties in eigen topics';
$txt['permissionhelp_modify_replies'] = 'Deze permissie stelt de topic starter in staat alle reacties van anderen in zijn topic te kunnen aanpassen.';
$txt['permissionname_remove_replies'] = 'Verwijder reacties in eigen topics';
$txt['permissionhelp_remove_replies'] = 'Deze permissie stelt de topic starter in staat alle reacties van anderen in zijn topic te kunnen verwijderen.';
$txt['permissionname_announce_topic'] = 'Announce topic';
$txt['permissionhelp_announce_topic'] = 'Hiermee kun je een aankondings-e-mail sturen over een topic aan alle leden of aan enkele ledengroepen.';

$txt['permissiongroup_post'] = 'Berichten plaatsen';
$txt['permissionname_remove'] = 'Verwijder berichten';
$txt['permissionhelp_remove'] = 'Verwijder berichten. De gebruiker kan niet het eerste bericht in een topic verwijderen.';
$txt['permissionname_remove_own'] = 'Eigen berichten';
$txt['permissionname_remove_any'] = 'Elk bericht';
$txt['permissionname_modify'] = 'Bewerk berichten';
$txt['permissionhelp_modify'] = 'Bewerk berichten';
$txt['permissionname_modify_own'] = 'Eigen berichten';
$txt['permissionname_modify_any'] = 'Elk bericht';
$txt['permissionname_report_any'] = 'Rapporteer berichten aan de moderators';
$txt['permissionhelp_report_any'] = 'Deze permissie voegt een link toe aan ieder bericht die de gebruiker het bericht kan laten rapporteren aan de moderators. Alle moderators van dat board zullen dan een e-mail krijgen met een omschrijving erbij (zoals deze door de gebruiker is ingevuld).';

$txt['permissiongroup_poll'] = 'Polls';
$txt['permissionname_poll_view'] = 'Bekijk polls';
$txt['permissionhelp_poll_view'] = 'Deze permissie stelt een gebruiker in staat een poll te bekijken. Zonder deze permissie zal de gebruiker slechts de topic zien zonder de poll.';
$txt['permissionname_poll_vote'] = 'Stemmen in polls';
$txt['permissionhelp_poll_vote'] = 'Deze permissie stelt een (geregistreerd) lid in staat een stem uit te brengen. Heeft geen invloed op gasten.';
$txt['permissionname_poll_post'] = 'Plaats polls';
$txt['permissionhelp_poll_post'] = 'Deze permissie stelt een gebruiker in staat een nieuwe poll te plaatsen. Omdat polls speciale topics zijn kun je niet zonder de \'Plaats nieuwe topics\' permissie.';
$txt['permissionname_poll_add'] = 'Voeg een poll toe aan topics';
$txt['permissionhelp_poll_add'] = 'Deze permissie stelt een gebruiker in staat om een poll toe te voegen aan een reeds bestaande topic. Je hebt dan wel voldoende rechten nodig om het eerste bericht in een topic te mogen bewerken.';
$txt['permissionname_poll_add_own'] = 'Eigen topics';
$txt['permissionname_poll_add_any'] = 'Elk topic';
$txt['permissionname_poll_edit'] = 'Bewerk polls';
$txt['permissionhelp_poll_edit'] = 'Deze permissie stelt een gebruiker in staat de opties van een poll te bewerken en een poll te resetten. Om het maximum aantal stemmen en de verloop datum te kunnen veranderen heeft de gebruiker de \'Modereer board\' permissie nodig.';
$txt['permissionname_poll_edit_own'] = 'Eigen polls';
$txt['permissionname_poll_edit_any'] = 'Elke poll';
$txt['permissionname_poll_lock'] = 'Zet polls op slot';
$txt['permissionhelp_poll_lock'] = 'Het op slot zetten van polls voorkomt dat er nog stemmen kunnen worden uitgebracht.';
$txt['permissionname_poll_lock_own'] = 'Eigen polls';
$txt['permissionname_poll_lock_any'] = 'Elke poll';
$txt['permissionname_poll_remove'] = 'Verwijder polls';
$txt['permissionhelp_poll_remove'] = 'Deze permissie stelt een gebruiker in staat om polls te verwijderen.';
$txt['permissionname_poll_remove_own'] = 'Eigen polls';
$txt['permissionname_poll_remove_any'] = 'Elke poll';

$txt['permissiongroup_notification'] = 'Notificaties';
$txt['permissionname_mark_any_notify'] = 'Verzoek notificatie bij reacties';
$txt['permissionhelp_mark_any_notify'] = 'Deze permissie stelt een gebruiker in staat om een notificatie bericht (e-mail) te krijgen wanneer er een reactie is in een topic waar hij dit heeft aangevraagd.';
$txt['permissionname_mark_notify'] = 'Verzoek notificatie bij nieuwe topics';
$txt['permissionhelp_mark_notify'] = 'Deze permissie stelt een gebruiker in staat om een notificatie bericht (e-mail) te krijgen wanneer er een topic is gestart in een board waar hij dit heeft aangevraagd.';

$txt['permissiongroup_attachment'] = 'Bijlagen';
$txt['permissionname_view_attachments'] = 'Bekijk bijlagen';
$txt['permissionhelp_view_attachments'] = 'Bijlagen (attachments) zijn bestanden die als bijlage zijn geplaatst in berichten. Deze feature kan worden geactiveerd en beheerd in \'Features en opties\'. Omdat bijlagen niet direct worden benaderd, kun je ze beschermen tegen downloaden door gebruikers die deze rechten niet hebben.';
$txt['permissionname_post_attachment'] = 'Plaats bijlagen';
$txt['permissionhelp_post_attachment'] = 'Bijlagen (attachments) zijn bestanden die als bijlage zijn geplaatst in berichten. Een bericht kan meerdere attachments bevatten.';

$txt['permissionicon'] = '';

?>