<?php
//---------------------------------------------------------
//                    English language
//                          for
//                     ViPER Guestbook
//---------------------------------------------------------
//                translated by Marc Stein
//---------------------------------------------------------

$lang = array(
  "errorOccured"      => "An error occured:",
  "notInstalled"      => "The ViPER Guestbook is not yet installed !",
  "sendSuccess"       => "Your entry was saved successfully !",
  "tooLongName"       => "The name is too long !",
  "tooLongEntry"      => "Please shorten your textentry about the following number of characters: ",
  "tooLongEmail"      => "The Email-address is too long !",
  "tooLongHomepage"   => "The Homepage-address is too long !",
  "tooLongICQ"        => "The ICQ-number is too long !",
  "tooLongAIM"        => "The AIM-identity is too long !",
  "tooLongMSN"        => "The MSN-identity is too long !",
  "tooLongYAHOO"      => "The YAHOO-identity is too long !",
  "tooLongCustom"     => "The input in the following field is too long : ",
  "indexError"        => "Wrong index for the following field : ",
  "noName"            => "You must enter a name !",
  "noEntry"           => "You must enter a text !",
  "noCountry"         => "You must choose a country !",
  "noRating"          => "You must enter a rating for : ",
  "noFieldValue"      => "You must fill in the following field: ",
  "noSkinfile"        => "Can't find the following skinfile :",
  "noDBConnection"    => "Can't establish connection to MySQL-server !",
  "noDBAccess"        => "No access to database or database doesn't exist !",
  "noCopy"            => "The skin must include the functions VGBLink() and VGBCopyright()!",
  "noSkinDir"         => "The directory skins doesn't exist !",
  "noIP"              => "Can't establish the IP of the clients !",
  "emptySkinDir"      => "There is no skin available !",
  "wrongEmail"        => "The Email-address is invalid !",
  "wrongICQ"          => "The ICQ-number is invalid !",
  "wrongNumber"       => "The number in the following field is invalid : ",
  "wrongRating"       => "The following rating is not allowed : ",
  "wrongCountry"      => "The country is no longer valid !",
  "wrongCommandUsage" => "The following function is used in the wrong skinfile: ",
  "wrongQueryResult"  => "A MySQL-query lead to a wrong result !",
  "wrongIndex"        => "Invalid index used for getRotateIndex() !",
  "setConflict"       => "You can't use the functions setOptional() and setRequired() at the same time !",
  "spamWarning"       => "Can't save entry into database at the moment, please retry later !",
  "orOther"           => "or other",
  "unknownBrowser"    => "unknown browser",
  "unknownOS"         => "unknown OS",
  "notGiven"          => "not listed",
  "queryError"        => "The following MySQL-query produced an error :<br />",
  "all"               => "All",
  "days"              => "days",
  "perDay"            => "per day",
  "noInput"           => "no input",
  "entrySubject"      => "You've a new entry in your guestbook !",
  "good"              => "(super)",
  "poor"              => "(poor)",
  "01"                => "January",
  "02"                => "February",
  "03"                => "March",
  "04"                => "April",
  "05"                => "May",
  "06"                => "June",
  "07"                => "July",
  "08"                => "August",
  "09"                => "September",
  "10"                => "October",
  "11"                => "November",
  "12"                => "December",
  // Version 1.1
  "duplicate"         => "Your entry is a duplicate of an existing entry !",
  "unknown"           => "unknown",
  "otherBrowser"      => "other Browser",
  "otherOS"           => "other OS",
  "otherOption"       => "other option",
  "wrongURL"          => "The Homepage-URL is invalid !",
  "Monday"            => "Monday",
  "Tuesday"           => "Tuesday",
  "Wednesday"         => "Wednesday",
  "Thursday"          => "Thursday",
  "Friday"            => "Friday",
  "Saturday"          => "Saturday",
  "Sunday"            => "Sunday",
  "reselect"          => "Before you press the send-button you must select the picture in the form again !",
  "reselect2"         => "Due to security-reasons you have to select the picture again !",
  "wrongFiletype"     => "The uploaded file is not a valid JPEG or GIF image !",
  "wrongFilesize"     => "The uploaded file is too large !",
  "wrongFormat"       => "The size of the uploaded picture is invalid !<br />Allowed size: ",
  // Version 1.11
  "noEmail"           => "You must enter an Email-address !",
  // Version 1.2
  "elements"          => "Elements",
  "exampleText"       => "Example text",
  "exampleLink"       => "Example link",
  "option"            => "Option",
  "link"              => "Link",
  "bold"              => "Bold",
  "italic"            => "Italic",
  "underline"         => "Underlined",
  "quote"             => "Quote",
  "code"              => "Code",
  "left"              => "Left",
  "center"            => "Center",
  "right"             => "Right",
  "image"             => "Image",
  "size"              => "Size",
  "color"             => "Color",
  "font"              => "Font",
  "list"              => "List",
  "bbcodeInfo"        => "You've the possibility to format the text of your entry with the pseudo HTML elements of the table below. Every BBCode element starts with a [ so if you want to print this character instead of a BBCode element you must write [[ !<br /><br />BBCode usage:<pre><span class='example'>  [element]text to format[/element]</span></pre>or short form: <pre><span class='example'>  [element]text to format[/]</span></pre>",
  "hidden"            => "<hidden>",
  "sendEmail"         => "Send Email",
  "mailto"            => "Email to",
  "subject"           => "Subject",
  "message"           => "Message",
  "sendMailSuccess"   => "Email was sent successfully !",
  "closeWindow"       => "close window",
  "sendMailFail"      => "Unable to send Email !",
  "back"              => "back",
  "mailSpam"          => "You've already sent a mail to this address !<br />Please retry later",
  "wrongPrivate"      => "The password for your private entry is invalid !",
  "passwordMail"      => "The password for your private entry is : ",
  "noLogin"           => "Due to security reasons you can't login at this time. Please retry later !",
  "login"             => "Login",
  "enterPassword"     => "Enter your password",
  "sendPassword"      => "Send password as Email",
  "invalidPassword"   => "Invalid Password !",
  "newComment"        => "New comment",
  "name"              => "Name",
  "email"             => "Email",
  "text"              => "Text",
  "send"              => "Send",
  "preview"           => "Preview",
  "privateEntry"      => "Private entry",
  "sendSuccessMod"    => "<br /><br />The entry will be checked by the administrator.",
  "thankyou"          => "Thank you for signing the guestbook !",
  "search"            => "Search",
  "searchInfo"        => "Fill out the fields you want to use for the search. You can use the following two wild-card characters in your input:<blockquote style='text-align: left; font-size: 10px'>% matches any number of characters, even zero characters <br />_ matches exactly one character</blockquote>",
  "searchEntries"     => "Search entries",
  "homepage"          => "Homepage",
  "country"           => "Country",
  "onlyPicture"       => "only entries with pictures",
  // Version 1.21
  "commentSubject"    => "You've received a new visitor comment",
  "nameReserved"      => "The name is reserved please enter another one"
);
?>