<?php
// Version: 1.0; ManagePermissions

$txt['permissions_title'] = 'Berechtigungen editieren';
$txt['permissions_modify'] = '&Auml;ndern';
$txt['permissions_access'] = 'Zugriff';
$txt['permissions_allowed'] = 'Erlaubt';
$txt['permissions_denied'] = 'Verboten';

$txt['permissions_switch'] = 'Wechseln zu';
$txt['permissions_global'] = 'Global';
$txt['permissions_local'] = 'Lokal';

$txt['permissions_groups'] = 'Berechtigungen der Mitgliedergruppe';
$txt['permissions_all'] = 'alle';
$txt['permissions_none'] = 'keine';
$txt['permissions_set_permissions'] = 'Berechtigungen setzen';

$txt['permissions_with_selection'] = 'Mit der Auswahl';
$txt['permissions_apply_pre_defined'] = 'Verwende definiertes Berechtigungsprofil';
$txt['permissions_select_pre_defined'] = 'W&auml;hle ein definiertes Profil';
$txt['permissions_copy_from_board'] = 'Berechtigungen von diesem Board kopieren';
$txt['permissions_select_board'] = 'W&auml;hlen Sie ein Board';
$txt['permissions_like_group'] = 'Setze Berechtigung wie diese Gruppe';
$txt['permissions_select_membergroup'] = 'W&auml;hle Mitgliedergruppe';
$txt['permissions_add'] = 'F&uuml;ge Berechtigung hinzu';
$txt['permissions_remove'] = 'L&ouml;sche Berechtigung';
$txt['permissions_deny'] = 'Verbiete Berechtigung';
$txt['permissions_select_permission'] = 'W&auml;hle Berechtigung';
$txt['permissions_set_permissions'] = 'Berechtigungen setzen';

// All of the following block of strings should not use entities, instead use \\" for &quot; etc.
$txt['permissions_only_one_option'] = 'Sie knnen nur eine Aktion zum modifizieren der Berechtigung whlen';
$txt['permissions_no_action'] = 'Keine Aktion ausgewhlt';
$txt['permissions_deny_dangerous'] = 'Sie verbieten eine oder mehrere Berechtigungen.\\nDies kann unter Umst&auml;nden unvorhergesehene Folgen nach sich ziehen, wenn Sie nicht kontrolliert haben, ob ein Mitglied \\"f&auml;lschlicherweise\\" in der betreffenden Gruppe ist.\\n\\nSind Sie sicher, dass Sie fortfahren wollen?';

$txt['permissions_boards'] = 'Berechtigungen je Board';

$txt['permissions_modify_group'] = 'Gruppe &auml;ndern';
$txt['permissions_general'] = 'Generelle Berechtigungen';
$txt['permissions_board'] = 'Globale Board Berechtigungen';
$txt['permissions_commit'] = '&Auml;nderungen speichern';
$txt['permissions_modify_local'] = 'Lokale Berechtigungen &auml;ndern';
$txt['permissions_on'] = 'im Board';
$txt['permissions_local_for'] = 'Lokale Berechtigungen f&uuml;r die Gruppe';
$txt['permissions_option_on'] = 'E';
$txt['permissions_option_off'] = 'X';
$txt['permissions_option_deny'] = 'V';
$txt['permissions_option_desc'] = 'F&uuml;r jede Berechtigung k&ouml;nnen Sie \'Erlaubt\' (E), \'Nicht erlaubt\' (X), oder <span style="color: red;">\'Verboten\' (V)</span> ausw&auml;hlen.<br /><br />Beachten Sie: Wenn Sie eine Berechtigung verbieten, kann kein Mitglied - weder Moderator noch andere - in dieser Gruppe die betreffende Funktion nutzen.<br />Deshalb benutzen Sie diese Option mit gr&ouml;&szlig;ter Sorgfalt und nur wenn es <b>n&ouml;tig</b> ist. \'Nicht erlaubt\' verbietet nur so lange, bis es an anderer Stelle erlaubt wird.';

$txt['permissiongroup_general'] = 'Generell';
$txt['permissionname_view_stats'] = 'Forum Statistiken anschauen';
$txt['permissionhelp_view_stats'] = 'Die Forum Statistiken fassen alle Statistiken zusammen wie Mitgliederanzahl, t&auml;gl. geschriebene Beitr&auml;ge und mehrere Top 10 Statistiken. Wenn Sie diese Berechtigung aktivieren, wird ein Link (\'Weitere Statistiken\') im unteren Teil des Board-Index hinzugef&uuml;gt.';
$txt['permissionname_view_mlist'] = 'Mitgliederliste anschauen';
$txt['permissionhelp_view_mlist'] = 'Die Mitgliederliste zeigt alle Mitglieder des Forums an. Die Liste kann sortiert und durchsucht werden und ist vom Board-Index und innerhalb der Statistiken verlinkt, wenn Sie dort auf die Mitgliederanzahl klicken.';
$txt['permissionname_who_view'] = 'Wer ist online anschauen';
$txt['permissionhelp_who_view'] = 'Wer ist online zeigt alle Mitglieder die aktuell online sind und was sie gerade machen. Diese Berechtigung funktioniert nur, wenn Sie die Funktion in \'Features und Optionen\' aktiviert haben. Sie k&ouml;nnen die Wer ist online Seite anschauen, wenn Sie auf den Link \'Wer ist online\' im Board-Index klicken.';
$txt['permissionname_search_posts'] = 'Nach Beitr&auml;gen und Themen suchen';
$txt['permissionhelp_search_posts'] = 'Die Berechtigung \'Suche\' erlaubt dem Benutzer alle Boards zu durchsuchen, auf die er/sie zugreifen darf. Wenn diese Berechtigung aktiviert ist, befindet sich der \'Suchen\' Button in der Menuleiste.';
$txt['permissionname_karma_edit'] = 'Karma anderer Benutzer ver&auml;ndern';
$txt['permissionhelp_karma_edit'] = 'Karma ist eine Funktion die den Beliebtheitsgrad eines Mitgliedes anzeigt. Um sie benutzen zu k&ouml;nnen, m&uuml;ssen Sie es in \'Features und Optionen\' aktiviert haben. Diese Berechtigung erlaubt es einer Mitgliedergruppe eine Wertung abzugeben und steht G&auml;sten nicht zur Verf&uuml;gung.';

$txt['permissiongroup_pm'] = 'Private Mitteilungen';
$txt['permissionname_pm_read'] = 'Private Mitteilungen lesen';
$txt['permissionhelp_pm_read'] = 'Diese Berechtigung erlaubt dem Benutzer seine privaten Mitteilungen zu lesen. Ohne diese Berechtigung kann er nicht auf diesen Bereich zugreifen.';
$txt['permissionname_pm_send'] = 'Private Mitteilungen senden';
$txt['permissionhelp_pm_send'] = 'Diese Berechtigung erlaubt dem Benutzer das Senden von privaten Mitteilungen. Ben&ouml;tigt \'Private Mitteilungen lesen\'.';

$txt['permissiongroup_calendar'] = 'Kalender';
$txt['permissionname_calendar_view'] = 'Kalender anschauen';
$txt['permissionhelp_calendar_view'] = 'Der Kalender zeigt f&uuml;r jeden Monat die Geburtstage, Ereignisse und Urlaube an. Diese Berechtigung erlaubt den Zugang zum Kalender, blendet den entsprechenden Button in der Menuleiste ein und zeigt im Board-Index eine Liste mit den aktuellen und kommenden Geburtstagen, Ereignissen und Urlauben. Der Kalender muss dazu in \'Features und Optionen\' eingestellt werden.';
$txt['permissionname_calendar_post'] = 'Ereignisse im Kalender erstellen';
$txt['permissionhelp_calendar_post'] = 'Ereignisse sind Themen, die zu einem bestimmten Tag oder Zeitraum verlinkt werden. Ereignisse k&ouml;nnen nur im Kalender erstellt werden, wenn der Benutzer die Berechtigung hat, neue Beitr&auml;ge zu erstellen.';
$txt['permissionname_calendar_edit'] = 'Ereignisse editieren';
$txt['permissionhelp_calendar_edit'] = 'Ereignisse sind Themen, die zu einem bestimmten Tag oder Zeitraum verlinkt werden. Sie k&ouml;nnen editiert werden, indem man auf den kleinen Stern (*) neben dem Ereignis Titel im Kalender klickt. Um sie editieren zu k&ouml;nnen, ben&ouml;tigt der Benutzer ausreichend Rechte zum &Auml;dern des ersten Beitrags des betreffenden Themas.';
$txt['permissionname_calendar_edit_own'] = 'Eigene Ereignisse';
$txt['permissionname_calendar_edit_any'] = 'Jedes Ereignis';

$txt['permissiongroup_maintenance'] = 'Forum Administration';
$txt['permissionname_admin_forum'] = 'Forum und Datenbank administrieren';
$txt['permissionhelp_admin_forum'] = 'Diese Berechtigung erlaubt dem Benutzer das:<ul><li>&auml;ndern der Einstellungen des Forums, der Datenbank und der Themes</li><li>verwalten von Paketen</li><li>benutzen der Wartungsfunktionen</li><li>anschauen der Fehler und Moderations Logs</li></ul> Benutzen Sie diese Berechtigung mit Vorsicht, da sie sehr m&auml;chtig ist.';
$txt['permissionname_manage_boards'] = 'Boards und Kategorien verwalten';
$txt['permissionhelp_manage_boards'] = 'Diese Berechtigung erlaubt das Erstellen, &Auml;ndern und L&ouml;schen von Boards oder Kategorien.';
$txt['permissionname_manage_attachments'] = 'Anh&auml;nge und Profilbilder verwalten';
$txt['permissionhelp_manage_attachments'] = 'Diese Berechtigung erlaubt den Zugriff auf die Verwaltung der Dateianh&auml;nge, wo alle Anh&auml;nge und Profilbilder aufgelistet und entfernt werden k&ouml;nnen.';
$txt['permissionname_manage_smileys'] = 'Smileys verwalten';
$txt['permissionhelp_manage_smileys'] = 'Diese Berechtigung erlaubt den Zugriff auf die Smiley Verwaltung, wo Sie Smileys bzw. Smiley-Sets hinzuf&uuml;gen, &auml;ndern und l&ouml;schen k&ouml;nnen.';
$txt['permissionname_edit_news'] = 'News &auml;ndern';
$txt['permissionhelp_edit_news'] = 'Diese Berechtigung erlaubt das &Auml;ndern der zuf&auml;lligen Newsmeldungen im oberen Bildschirmbereich. Um sie zu benutzen, muss die News Funktion in den Einstellungen aktiviert sein.';

$txt['permissiongroup_member_admin'] = 'Mitglieder Administration';
$txt['permissionname_moderate_forum'] = 'Mitglieder verwalten';
$txt['permissionhelp_moderate_forum'] = 'Diese Berechtigung beinhaltet alle wichtigen Funktionen der Mitgliederverwaltung:<ul><li>Zugriff auf die Registrierungsverwaltung</li><li>Zugriff auf den Mitglieder anzeigen/l&ouml;schen Bildschirm</li><li>erweiterte Profil Informationen, inkl. IP/Benutzer beobachten und versteckten Online Status</li><li>Aktivierung von Zug&auml;ngen</li><li>Benachrichtigungen &uuml;ber Zustimmungen erhalten und aktivieren von Zug&auml;ngen</li><li>immun gegen Ignorierfunktion der Privaten Mitteilungen</li><li>weitere kleine Funktionen</li></ul>';
$txt['permissionname_manage_membergroups'] = 'Mitgliedergruppen verwalten und zuordnen';
$txt['permissionhelp_manage_membergroups'] = 'Diese Berechtigung erlaubt das &Auml;ndern und zuordnen von Mitgliedergruppen zu anderen Mitgliedern.';
$txt['permissionname_manage_permissions'] = 'Berechtigungen verwalten';
$txt['permissionhelp_manage_permissions'] = 'Diese Berechtigung erlaubt das &Auml;ndern aller Berechtigungen einer Mitgliedergruppe bzw. eines Boards (global und lokal).';
$txt['permissionname_manage_bans'] = 'Bann-Liste verwalten';
$txt['permissionhelp_manage_bans'] = 'Diese Berechtigung erlaubt das Hinzuf&uuml;gen oder L&ouml;schen von Benutzernamen, IP Adressen, Hostnamen und E-Mail Adressen zu einer Liste von gebannten Benutzern. Sie erlaubt weiterhin das Anschauen bzw. L&ouml;schen von Log Eintr&auml;gen der gebannten Benutzer, die probieren sich wieder einzuloggen.';
$txt['permissionname_send_mail'] = 'Forum E-Mail an Mitglieder senden';
$txt['permissionhelp_send_mail'] = 'Sendet eine E-Mail oder wahlweise eine private Mitteilung an alle Mitglieder oder an eine bestimmte Gruppe. Ben&ouml;tigt die Berechtigung \'Private Mitteilungen senden\'.';

$txt['permissiongroup_profile'] = 'Mitglieder Profile';
$txt['permissionname_profile_view'] = 'Profil und Statistiken anschauen';
$txt['permissionhelp_profile_view'] = 'Diese Berechtigung erlaubt das Anklicken des Benutzernamens und somit das Betrachten des Profils, den Statistiken und den Beitr&auml;gen des Benutzers.';
$txt['permissionname_profile_view_own'] = 'Eigenes Profil';
$txt['permissionname_profile_view_any'] = 'Alle Profile';
$txt['permissionname_profile_identity'] = 'Zugangseinstellungen';
$txt['permissionhelp_profile_identity'] = 'Zugangseinstellungen sind die einfachsten Einstellungen im Profil des Benutzers wie Passwort, E-Mail, Mitgliedergruppe und bevorzugte Sprache.';
$txt['permissionname_profile_identity_own'] = 'Eigenes Profil';
$txt['permissionname_profile_identity_any'] = 'Alle Profile';
$txt['permissionname_profile_extra'] = 'Erweiterte Profil Einstellungen';
$txt['permissionhelp_profile_extra'] = 'Erweiterte Profil Einstellungen inklusive Optionen f&uuml;r das Profilbild, Theme Einstellungen, Benachrichtigungen und Private Mitteilungen.';
$txt['permissionname_profile_extra_own'] = 'Eigenes Profil';
$txt['permissionname_profile_extra_any'] = 'Alle Profile';
$txt['permissionname_profile_title'] = 'Pers&ouml;nlichen Titel &auml;ndern';
$txt['permissionhelp_profile_title'] = 'Der pers&ouml;nliche Titel wird im Beitrag unterhalb des Namens angezeigt (wenn f&uuml;r diesen Benutzer vorhanden).';
$txt['permissionname_profile_title_own'] = 'Eigenes Profil';
$txt['permissionname_profile_title_any'] = 'Alle Profile';
$txt['permissionname_profile_remove'] = 'Zugang l&ouml;schen';
$txt['permissionhelp_profile_remove'] = 'Diese Berechtigung erlaubt dem Benutzer seinen Zugang zu l&ouml;schen, wenn sie auf \'Eigenes Profil\' gestellt ist.';
$txt['permissionname_profile_remove_own'] = 'Eigener Zugang';
$txt['permissionname_profile_remove_any'] = 'Jeder Zugang';
$txt['permissionname_profile_remote_avatar'] = 'Externes Profilbild w&auml;hlen';
$txt['permissionhelp_profile_remote_avatar'] = 'Externe Profilbilder k&ouml;nnen die Geschwindigkeit des Forums herabsetzen, so dass es sinnvoll ist, bestimmten Gruppen dieses Recht zu entziehen. ';

$txt['permissiongroup_general_board'] = 'Generell';
$txt['permissionname_moderate_board'] = 'Board moderieren';
$txt['permissionhelp_moderate_board'] = 'Diese Berechtigung gibt dem Moderator weitere Funktionen, die ihn zu einem richtigen Moderator zu machen. Dies umfasst die M&ouml;glichkeit auf geschlossene Themen zu antworten, die Ablaufzeit von Umfragen zu &auml;ndern und die Umfragenergebnisse jederzeit einzusehen.';

$txt['permissiongroup_topic'] = 'Themen';
$txt['permissionname_post_new'] = 'Neues Thema erstellen';
$txt['permissionhelp_post_new'] = 'Diese Berechtigung erlaubt dem Benutzer neue Themen zu starten. Sie erlaubt nicht auf Themen zu antworten.';
$txt['permissionname_merge_any'] = 'Themen zusammenf&uuml;hren';
$txt['permissionhelp_merge_any'] = 'F&uuml;hrt zwei oder mehrere Themen zusammen. Die Reihenfolge der Beitr&auml;ge basiert auf der Zeit wann diese geschrieben worden sind, d.h. der &auml;lteste Beitrag ist am Schlu&szlig; des neuen Themas. Der Benutzer kann nur Themen in Boards zusammenf&uuml;hren, zu denen er auch Zugriff hat. Um gleichzeitig mehrere Themen zusammen zu f&uuml;hren, muss die Funktion Schnellmoderation im Profil aktiviert sein.';
$txt['permissionname_split_any'] = 'Themen teilen';
$txt['permissionhelp_split_any'] = 'Teilt ein Thema in zwei seperate Themen.';
$txt['permissionname_send_topic'] = 'Themen an Freund senden';
$txt['permissionhelp_send_topic'] = 'Diese Berechtigung erlaubt es dem Benutzer, einem Freund einen Hinweis auf ein Thema per E-Mail zu senden. Dazu muss er die E-Mail Adresse eingeben und kann einen Nachricht dazu verfassen.';
$txt['permissionname_make_sticky'] = 'Top Themen erstellen';
$txt['permissionhelp_make_sticky'] = 'Top Themen werden immer als erste Themen in einem Board angezeigt. Sie sind n&uuml;tzlich f&uuml;r Ank&uuml;ndigungen oder wichtige Hinweise.';
$txt['permissionname_move'] = 'Thema verschieben';
$txt['permissionhelp_move'] = 'Verschiebt ein Thema von einem Board in ein anderes. Die Benutzer k&ouml;nnen nur die Boards als Ziel w&auml;hlen, auf welche sie Zugriff haben.';
$txt['permissionname_move_own'] = 'Eigenes Thema';
$txt['permissionname_move_any'] = 'Jedes Thema';
$txt['permissionname_lock'] = 'Themen schlie&szlig;en';
$txt['permissionhelp_lock'] = 'Diese Berechtigung erlaubt dem Benutzer das schlie&szlig;en von Themen. Danach kann kein Benutzer mehr auf das Thema antworten, au&szlig;er Benutzer mit \'Moderatoren\' Rechten.';
$txt['permissionname_lock_own'] = 'Eigene Themen';
$txt['permissionname_lock_any'] = 'Alle Themen';
$txt['permissionname_delete'] = 'Themen l&ouml;schen';
$txt['permissionhelp_delete'] = 'Diese Berechtigung erlaubt das L&ouml;schen ganzer Themen. Bitte beachten Sie, dass mit dieser Funktino keine einzelnen Beitr&auml;ge gel&ouml;scht werden d&uuml;rfen!';
$txt['permissionname_delete_own'] = 'Eigene Themen';
$txt['permissionname_delete_any'] = 'Alle Themen';
$txt['permissionname_post_reply'] = 'Antworten auf Themen schreiben';
$txt['permissionhelp_post_reply'] = 'Diese Berechtigung erlaubt das Antworten auf Themen.';
$txt['permissionname_post_reply_own'] = 'Eigene Themen';
$txt['permissionname_post_reply_any'] = 'Alle Themen';
$txt['permissionname_modify_replies'] = 'Antworten auf eigene Themen &auml;ndern';
$txt['permissionhelp_modify_replies'] = 'Diese Berechtigung erlaubt das nachtr&auml;gliche &Auml;ndern aller Beitr&auml;ge in einem vom ihm erstellten Themen.';
$txt['permissionname_remove_replies'] = 'Antworten auf eigene Themen l&ouml;schen';
$txt['permissionhelp_remove_replies'] = 'Diese Berechtigung erlaubt es dem Benutzer, alle Antworten auf ein von ihm erstelltes Thema zu l&ouml;schen.';
$txt['permissionname_announce_topic'] = 'Thema ank&uuml;ndigen';
$txt['permissionhelp_announce_topic'] = 'Diese Berechtigung erlaubt das Senden einer Ank&uuml;ndigungs E-Mail &uuml;ber ein Thema an alle Mitglieder oder an bestimmte Mitgliedergruppen.';

$txt['permissiongroup_post'] = 'Beitr&auml;ge';
$txt['permissionname_remove'] = 'Beitr&auml;ge l&ouml;schen';
$txt['permissionhelp_remove'] = 'Beitr&auml;ge entfernen. Erlaubt dem Benutzer nicht, den ersten Beitrag eines Themas zu l&ouml;schen.';
$txt['permissionname_remove_own'] = 'Eigener Beitrag';
$txt['permissionname_remove_any'] = 'Alle Beitr&auml;ge';
$txt['permissionname_modify'] = 'Beitr&auml;ge editieren';
$txt['permissionhelp_modify'] = 'Edit posts';
$txt['permissionname_modify_own'] = 'Eigener Beitrag';
$txt['permissionname_modify_any'] = 'Alle Beitr&auml;ge';
$txt['permissionname_report_any'] = 'Beitr&auml;ge dem Moderator melden';
$txt['permissionhelp_report_any'] = 'Diese Berechtigung f&uuml;gt einen Link zu jedem Beitrag hinzu, welcher es dem Benutzer erlaubt, diesen einem Moderator zu melden. Bei einer Meldung erhalten alle Moderatoren des Boards diese Nachricht mit einer Beschreibung des Benutzers und dem Link zum entsprechenden Beitrag.';

$txt['permissiongroup_poll'] = 'Umfragen';
$txt['permissionname_poll_view'] = 'Umfrage anschauen';
$txt['permissionhelp_poll_view'] = 'Diese Berechtigung erlaubt dem Benutzer das Anschauen einer Umfrage. Ohne diese Berechtigung sieht der Benutzer nur das Thema ohne die Umfrage.';
$txt['permissionname_poll_vote'] = 'Abstimmen in Umfragen';
$txt['permissionhelp_poll_vote'] = 'Diese Berechtigung erlaubt einem registrierten Benutzer das abgeben einer Stimme bei Umfragen. Die Funktion gilt nicht f&uuml;r G&auml;ste.';
$txt['permissionname_poll_post'] = 'Umfragen erstellen';
$txt['permissionhelp_poll_post'] = 'Diese Berechtigung erlaubt dem Benutzer eine neue Umfrage zu erstellen. Da dies eine spezielle Funktion ist, hat sie keinen Einflu&szlig;, wenn die Berechtigung \'Neues Thema erstellen\' nicht aktiviert ist.';
$txt['permissionname_poll_add'] = 'Umfragen zu Themen hinzuf&uuml;gen';
$txt['permissionhelp_poll_add'] = 'F&uuml;gt einen Umfrage zu einem existierenden Thema hinzu. Diese Berechtigung erfordert die M&ouml;glichkeit, den ersten Beitrag eines Themas zu &auml;ndern.';
$txt['permissionname_poll_add_own'] = 'Eigene Themen';
$txt['permissionname_poll_add_any'] = 'Alle Themen';
$txt['permissionname_poll_edit'] = 'Umfragen editieren';
$txt['permissionhelp_poll_edit'] = 'Diese Berechtigung erlaubt die &Auml;nderung einer bestehenden Umfrage sowie das Zur&uuml;cksetzen der Stimmen auf Null. Um die Anzahl der max. abzugebenen Stimmen und die Laufzeit der Umfrage zu &auml;ndern, muss der Benutzer \'Moderator\' Rechte besitzen.';
$txt['permissionname_poll_edit_own'] = 'Eigene Umfrage';
$txt['permissionname_poll_edit_any'] = 'Alle Umfragen';
$txt['permissionname_poll_lock'] = 'Umfragen schlie&szlig;en';
$txt['permissionhelp_poll_lock'] = 'Verhindert das weitere Abstimmen in der betreffenden Umfrage.';
$txt['permissionname_poll_lock_own'] = 'Eigene Umfragen';
$txt['permissionname_poll_lock_any'] = 'Alle Umfragen';
$txt['permissionname_poll_remove'] = 'Umfragen l&ouml;schen';
$txt['permissionhelp_poll_remove'] = 'Diese Berechtigung erlaubt das L&ouml;schen einer Umfrage.';
$txt['permissionname_poll_remove_own'] = 'Eigene Umfrage';
$txt['permissionname_poll_remove_any'] = 'Alle Umfragen';

$txt['permissiongroup_notification'] = 'Benachrichtigungen';
$txt['permissionname_mark_any_notify'] = 'Benachrichtigung bei neuen Antworten';
$txt['permissionhelp_mark_any_notify'] = 'Diese Berechtigung erlaubt das Einstellen von Benachrichtigungen f&uuml;r gew&uuml;nschte Themen.';
$txt['permissionname_mark_notify'] = 'Benachrichtigung bei neuen Themen';
$txt['permissionhelp_mark_notify'] = 'Diese Berechtigung erlaubt das Aktivieren von Benachrichtigungen bei Boards, sobald ein neues Thema in diesem geschrieben wurde.';

$txt['permissiongroup_attachment'] = 'Dateianh&auml;nge';
$txt['permissionname_view_attachments'] = 'Dateianh&auml;nge anschauen';
$txt['permissionhelp_view_attachments'] = 'Dateianh&auml;nge sind Dateien, die an einen Beitrag angef&uuml;gt worden sind. Diese Funktion kann im Bereich \'Features und Optionen einstellen\' aktiviert und eingestellt werden. Dateianh&auml;nge sind nicht direkt anw&auml;hlbar und k&ouml;nnen f&uuml;r die Benutzer blockiert werden, die diese Berechtigung nicht besitzen.';
$txt['permissionname_post_attachment'] = 'Dateianh&auml;nge erstellen';
$txt['permissionhelp_post_attachment'] = 'Dateianh&auml;nge sind Dateien, die an einen Beitrag angef&uuml;gt worden sind. Ein Beitag kann mehrere Dateianh&auml;nge besitzen.';

$txt['permissionicon'] = '';

?>