<?php
//---------------------------------------------------------
//                     English language
//                           for
//                     ViPER Guestbook
//---------------------------------------------------------
//                translated by Marc Stein
//---------------------------------------------------------

$lang = array(
  "errorOccured"      => "An error occured:",
  "notInstalled"      => "The ViPER Guestbook is not yet installed !",
  "tooLongEntry"      => "Please shorten your textentry about the following number of characters: ",
  "noName"            => "You must enter a name !",
  "noEntry"           => "You must enter a text !",
  "noDBConnection"    => "Can't establish connection to MySQL-server !",
  "noDBAccess"        => "No access to database or database doesn't exist !",
  "wrongEmail"        => "The Email address is invalid !",
  "wrongICQ"          => "The ICQ-number is invalid !",
  "wrongNumber"       => "The number in the following field is invalid : ",
  "wrongQueryResult"  => "A MySQL-query lead to a wrong result !",
  "queryError"        => "The following MySQL-query produced an error :<br />",
  "all"               => "All",
  "days"              => "days",
  "perDay"            => "per day",
  "enterPassword"     => "Please enter password :",
  "sessionError"      => "Can't register session !",
  "wrongPassword"     => "The password is invalid !",
  "sendMail"          => "Send password as Email",
  "sendMailDone"      => "The password was sent successfully to your Email-account !",
  "sendMailError"     => "The password couldn't be send to your Email-account !",
  "sendMailSubject"   => "Your password for the ViPER Guestbook",
  "sendMailText"      => "Hello,\n\nyour password for the administration-area of the ViPER Guestbooks is : ",
  "afterLogout"       => "You are now logged out.",
  "admin"             => "Administration",
  "setup"             => "Setup",
  "generalSetup"      => "General Setup",
  "securitySetup"     => "Security-Setup",
  "accessData"        => "Accessdata",
  "useFrames"         => "Use Frames",
  "useFramesInfo"     => "If activated, the representation of the guestbook will use Frames. However these must be supported by the browser.",
  "useJava"           => "Use Javascript",
  "useJavaInfo"       => "The inputs of the formular will already be checked in the browser and the Frames-navigation will be faster, if Javascript is used.",
  "useEmoticonsInfo"  => "If Emoticons are allowed, particular strings from the text of an entry will be replaced by graphical symbols.",
  "activLinks"        => "Activate links",
  "activLinksInfo"    => "By activation the text of an entry will be searched for valid links to make them clickable.",
  "entriesPage"       => "Entries per page",
  "entriesPageInfo"   => "The maximum number of entries which can be displayed on one page.",
  "maxSpamtime"       => "Spam-protection in minutes",
  "maxEntries"        => "Maximum amount of saved entries",
  "maxEntriesInfo"    => "Enter 0 for unlimited amount of entries into guestbook. Otherwise for every new entry that is above the maximum, the oldest entries will be deleted from the database.",
  "forceBreak"        => "Allow linebreak after character",
  "forceBreakInfo"    => "If 0, no linebreak will be allowed, otherwise in every word will be added a possibility for a linebreak after the corresponding amount of characters, so that too long words won't destroy the design of a skin.",
  "adminEmail"        => "Email address",
  "adminEmailInfo"    => "To this address the password for the administration-area can be mailed.",
  "password"          => "New password",
  "passwordInfo"      => "Just enter, if you want to change the password to the administration-area !",
  "password2"         => "New password (repeat)",
  "password2Info"     => "Repeat the new password here to avoid input-errors.",
  "passwordError"     => "The entered passwords are not identical !",
  "useSkin"           => "Use skin",
  "useSkinInfo"       => "Selects a directory in the skins folder, which contains the files for the representation of the guestbook.",
  "saveSetup"         => "Save Setup",
  "savedSetup"        => "The setup was saved !",
  "wrongSkin"         => "The selected skin doesn't exist any more !",
  "noSkins"           => "no skin available",
  "noLogin"           => "Due to security reasons you can't login at this time. Please retry later !",
  "manageEntries"     => "Manage entries",
  "manageInputs"      => "Manage inputfields",
  "options"           => "Options",
  "deleteAll"         => "Delete all entries",
  "entries"           => "Entries",
  "delete"            => "Delete",
  "edit"              => "Edit",
  "entry"             => "Entry",
  "name"              => "Name",
  "text"              => "Text",
  "page"              => "Page",
  "next"              => "Next",
  "prev"              => "Previous",
  "editEntry"         => "Edit entry",
  "inputs"            => "Inputs",
  "cancel"            => "Cancel",
  "saveChanges"       => "Save changes",
  "savedChanges"      => "Changes have been saved",
  "email"             => "Email",
  "homepage"          => "Homepage",
  "icq"               => "ICQ-Number",
  "aim"               => "AIM Identity",
  "msn"               => "MSN Identity",
  "yahoo"             => "YAHOO Identity",
  "country"           => "Country",
  "customs"           => "Custom inputfields",
  "really"            => "Do you really want to delete all entries ?",
  "maxLength"         => "Maximum length in characters",
  "maxLengthInfo"     => "Allowed is a length between 1 and ",
  "maxLengthInfo2"    => "Enter 0 for unlimited input.",
  "actField"          => "Activate field",
  "forceInput"        => "Force input",
  "forceInputInfo"    => "If actived, an entry into the guestbook will only be accepted, when this field is filled out.",
  "saveInputs"        => "Save settings",
  "warn"              => "In the saved entries the following fields can loose datas because of cuts :",
  "ratings"           => "Ratings",
  "newRating"         => "New rating",
  "priority"          => "Priority",
  "priorityInfo"      => "Determines a priority from 0 to 127. The fields will be given out in ascending priority.",
  "actStats"          => "Generate statistics",
  "actStatsInfo"      => "If activated, this field will be evaluated for the statistics-page and listed there. ",
  "actNoStats"        => "However for an textfield no statistics can be generated !",
  "addRating"         => "Add rating",
  "noRatings"         => "No rating available",
  "ratingSuccess"     => "The rating was added successfully !",
  "deletedRating"     => "The rating was deleted !",
  "editRating"        => "Edit rating",
  "customFields"      => "Custom inputfields",
  "noCustoms"         => "No custom inputfields availabe",
  "type"              => "Type",
  "textInput"         => " Inputfield for text ",
  "numberInput"       => " Inputfield for number ",
  "selectInput"       => " Drop-down-box",
  "newCustom"         => "New inputfield",
  "addCustom"         => "Add inputfield",
  "rules"             => "Rules",
  "rulesInfo"         => "Textfield:<br /> In the first row a maximun length for the input from 1 to 127 can be given.<br /><br />Numberfield:<br />In the first row a rule of the form X - Y can be given, where X is a number for the lower boundary and Y the one for the upper boundary of the input. If X or Y are missing, the smallest (0) or the greatest number (999999) will be put in automatically.<br /><br />Drop-down-box:<br />In every row can be given a selection-option in the form X = Y, where X is a determined index and Y the text for this index, which will be displayed in Drop-down-box.",
  "customSuccess"     => "The inputfield was added successfully !",
  "noOptions"         => "You must define options for the Drop-down-box !",
  "wrongMax"          => "The upper boundary in the rules is invalid !",
  "wrongMin"          => "The lower boundary in the rules is invalid !",
  "wrongLimits"       => "The upper boundary in the rules must be below the lower boundary !",
  "emptyIndex"        => "The rules are not allowed to include an empty index !",
  "indexError"        => "The rules must use different indeces !",
  "deletedCustom"     => "The inputfield was deleted !",
  "editCustom"        => "Edit inputfield",
  "manageCountries"   => "Manage countries",
  "newCountry"        => "New country",
  "addCountry"        => "Add country",
  "icon"              => "Flag",
  "iconInfo"          => "The name of a file in the flags directory, which contains a flag-graphic. If no filename is given no graphic symbol will be used for this country.",
  "translate"         => "Name is a TLD country-code",
  "translateInfo"     => "If activated the name will be interpreted as international country-code of a Top-Level Domain (TLD) (e.g. DE is the country-code for Germany) and the countryname will be translated into the current language, if the code is valid.<br />An overview of codes can be found on <a class='infolink' href='http://www.iana.org/cctld/cctld-whois.htm' target='_blank'>www.iana.org/cctld/cctld-whois.htm</a> !",
  "savedCountries"    => "Saved countries",
  "noCode"            => "The name is no valid TLD country-code !",
  "noIcon"            => "The following file is missing : ",
  "countrySuccess"    => "The country was added successfully !",
  "deletedCountry"    => "The country was deleted !",
  "editCountry"       => "Edit country",
  "deleteCountries"   => "Delete all countries",
  "really2"           => "Do you really want to delete all countries ?",
  "noCountries"       => "There are no countries available",
  "existsCountry"     => "There is already a country with this name !",
  "sendNotice"        => "Notify about new entry",
  "sendNoticeInfo"    => "If activated, the administrator will be notified by email about every new entry into the guestbook.",
  "missingMail"       => "You must enter an Email address, if you want to use the automatic notification !",
  "comment"           => "Comment",
  "commentInfo"       => "Here you can enter a comment, which will be displayed below the text of this entry.",
  "requirements"      => "You must enable Cookies and Javascript in your browser for full functionality !",
  "wrongLength"       => "The length in the following field is invalid : ",
  "wrongMaxlen"       => "The maxim length in the rule is invalid !",
  "sure"              => "Delete really ?",
  "noEntries"         => "There are no entries available !",
  "noIP"              => "Can't establish the IP of the clients !",
  "missingParameter"  => "The following parameter is missing : ",
  "noSkinDir"         => "The directory skins doesn't exist !",
  "emptySkinDir"      => "There is no skin available !",
  // Version 1.1
  "mailComment"       => "Your guestbookentry has been commented !",
  "wrongURL"          => "The Homepage-URL is invalid !",
  "wrongIndexURL"     => "The URL to your guestbook is invalid !",
  "unknown"           => "unknown",
  "general"           => "General",
  "code"              => "String",
  "codeInfo"          => "The string which will be replaced by the Emoticon",
  "noString"          => "You must enter a string for the Emoticon !",
  "filename"          => "Filename",
  "filenameInfo"      => "The filename of the Emoticon. This file must exist in the emoticons-folder of the active skin.",
  "noFilename"        => "You must enter a filename for the Emoticon !",
  "priorityInfo2"     => "Determines a priority from 0 to 127. The Emoticons will be given out in ascending priority.",
  "really3"           => "Do you really want to delete all Emoticons ?",
  "editComment"       => "Edit /\nComment",
  "manageStats"       => "Manage statistics",
  "editEmoticon"      => "Edit Emoticon",
  "emoticon"          => "Emoticon",
  "emoticonSuccess"   => "The Emoticon was added successfully !",
  "manageEmoticons"   => "Manage Emoticons",
  "deleteEmoticons"   => "Delete all Emoticons",
  "newEmoticon"       => "New Emoticon",
  "addEmoticon"       => "Add Emoticon",
  "savedEmoticons"    => "Saved Emoticons",
  "deletedEmoticon"   => "The Emoticon was deleted !",
  "existsEmoticon"    => "There is already an Emoticon with this string !",
  "noEmoticons"       => "There are no Emoticons available !",
  "pic"               => "Picture",
  "savedPictures"     => "Saved pictures",
  "picture"           => "Picture-Upload",
  "deletePicture"     => "Delete picture",
  "deletedPicture"    => "Picture was deleted successfully !",
  "delInvalid"        => "Delete all invalid pictures",
  "invalidDeleted"    => "All invalid pictures are deleted !",
  "rangeX"            => "Allowed X-size",
  "rangeXInfo"        => "Here you can enter the minimum and maximum X-size of the pictures that are accepted for the upload. If you enter a single number the X-size must be fixed and if you enter numbers in the form X-Y, all X-sizes from X to Y will be accepted.",
  "rangeY"            => "Allowed Y-size",
  "rangeYInfo"        => "Here you can enter the minimum and maximum Y-size of the pictures that are accepted for the upload. If you enter a single number the Y-size must be fixed and if you enter numbers in the form X-Y, all Y-sizes from X to Y will be accepted.",
  "wrongRangeX"       => "The input for the allowed X-size is invalid !",
  "wrongRangeY"       => "The input for the allowed Y-size is invalid !",
  "badwordFilter"     => "Badword-Filter",
  "filterSetup"       => "Filter Setup",
  "badwordString"     => "Replace badwords by",
  "badwordStringInfo" => "All badwords found in the text will be replaced by this string",
  "badwords"          => "Badwords",
  "badwordsInfo"      => "Here you can edit the file ht_badwords.php to add, delete or modify badwords that are recognized by the filter. Every badword must stand in a new line. Lines that start with / are comments. The \$-character can be used to show the filter that only words starting or ending with the badword should be filtered.<br /><br />For example:<br /> &nbsp; \$ass will filter 'asshole' but not 'pass'<br /> &nbsp; ass\$ will filter 'jackass' but not 'assurance'<br /> &nbsp; \$ass\$ will only filter 'ass' but no other word including ass",
  "ht_badwords"       => "Can't create the file ht_badwords.php !",
  "form"              => "Form",
  "formText"          => "Formtext",
  "formTextInfo"      => "Here you can enter a text for this rating that is displayed in the form. If you leave this field blank the name of the rating will be used as formtext.",
  "formTextInfo2"     => "Here you can enter a text for this inputfield that is displayed in the form. If you leave this field blank the name of the inputfield will be used as formtext.",
  "limitations"       => "Output-limitations",
  "limit"             => "Limit for ",
  "limitInfo"         => "Here you can enter a limit for this field, so that the number of different options that are displayed on the statistics-page for this field is limited. Enter 0 for no limitation.",
  "hideIP"            => "Hide IP",
  "hideIPInfo"        => "Check this field if you don't want to show the IP of an entry. Works only in skins for Version 1.1 or higher",
  "hideHost"          => "Hide hostname",
  "hideHostInfo"      => "Check this field if you don't want to show the hostname of an entry. Works only in skins for Version 1.1 or higher",
  "hideStats"         => "Hide the statistics-page",
  "hideStatsInfo"     => "Check this field if you don't want to show a statistics-page",
  "useBrowscap"       => "Use browscap.ini for detection",
  "useBrowscapInfo"   => "With the use of browscap.ini the detection of the OS and the Browser is more acurate and up-to-date, but less fast than the internal routine. You must have browscap.ini on your server, if you want to use it !",
  "usageDatabase"     => "Total size of the database",
  "usageVGB"          => "used by ViPER Guestbook",
  // Version 1.12
  "continue"          => "Continue",
  // Version 1.2
  "bbcode"            => "BBCode",
  "bbcodeSetup"       => "BBCode Setup",
  "activateBBCode"    => "Activate BBCode",
  "bbcodeInfo"        => "BBCode will allow your visitors to format their entries with pseudo-HTML. In admin comments BBCode is allways activated with all codes.",
  "stripCode"         => "Delete invalid code",
  "stripCodeInfo"     => "If this option is checked all expressions enclosed by [ and ] that are no valid or allowed BBCode will be deleted",
  "useCSS"            => "Use CSS formatting",
  "useCSSInfo"        => "Check this field if you want to use CSS instead of HTML to format the text",
  "allowedCode"       => "Allowed Code",
  "bold"              => "Bold",
  "italic"            => "Italic",
  "underline"         => "Underline",
  "codeWarn"          => "This code can produce invalid XHTML !",
  "code"              => "Code",
  "quote"             => "Quote",
  "divLeft"           => "Left",
  "divCenter"         => "Center",
  "divRight"          => "Right",
  "image"             => "Image",
  "imageInfo"         => "It's not recommended that you allow this code, since too big images can destroy a design !",
  "link"              => "Link",
  "list"              => "List",
  "size"              => "Size",
  "allowedSize"       => "Allowed size",
  "allowedSizeInfo"   => "Enter the allowed size here in the form X-Y whereas X is the minimum and Y the maximum. The size is the size from 1 to 7 used in the FONT tag and if CSS is activated the values will be mapped to corresponding px values.",
  "colorHex"          => "Color (hex value)",
  "colorPredefined"   => "Color (predefined)",
  "userColors"        => "Predefined colors",
  "userColorsInfo"    => "Each line must have the form<br /><br />name=#hexval<br /><br />whereas name is the identifier (only letters and digits are allowed) of color and hexval the hexadecimal value of the color.",
  "font"              => "Font",
  "allowedFonts"      => "Allowed fonts",
  "allowedFontsInfo"  => "Enter every font name in a new line. If you leave this field blank all fonts are allowed.",
  "invalidSize"       => "Invalid size input for allowed size.<br /> Size must be a value from 1 to  7 !",
  "invalidPrecolor"   => "Invalid predefined color assignment in line ",
  "invalidHexval"     => "Invalid predefined color value in line ",
  "invalidIdent"      => "Predefined color identifier is invalid in line ",
  "existingIdent"     => "Predefined color identifier already exists in line ",
  "pictureText"       => "Picture text",
  "askPrivate"        => "Allow private entries",
  "askPrivateInfo"    => "With a private entry a user can protect his entry with a password, so that only he and the admin can read the entry.",
  "privParameter"     => "Private parameter",
  "privPassword"      => "Private password",
  "privParameterInfo" => "If you want to allow private entries you must enter a secret parameter assignment in the form X=Y, which allows you to see all private entries, if you open your guestbook with this parameter.",
  "hiddenEmail"       => "Hide Email",
  "hideEmail"         => "Allow hidden Emails",
  "hideEmailInfo"     => "Activate this option if you want that your visitors can hide their Email address.",
  "useMailer"         => "Use formmailer for contact",
  "useMailerInfo"     => "The formmailer allows to send an Email to an address without showing it.",
  "useAdminEmo"       => "Activate Emoticons for Administrator",
  "useIFrame"         => "Use IFrame for Emoticons",
  "useIFrameInfo"     => "If you have many Emoticons defined use this option to get a more compact overview of the available Emoticons in the form.",
  "preAllocWith"      => "Preallocate with",
  "preAllocWithInfo"  => "Enter an index here if the field is a selection. In case of another field type you can enter in the value directly.",
  "wrongAlloc"        => "Wrong preallocation value !",
  "allowComments"     => "Allow visitor comments",
  "allowCommentsInfo" => "The visitors can add comments to an entry if you check this field.",
  "noPrivParam"       => "You must enter a private parameter if you want to allow private entries !",
  "wrongPrivParam"    => "The private parameter has the wrong format !",
  "noURL"             => "You must enter the URL to your guestbook if you want to allow private entries or the search function !",
  "logout"            => "Logout",
  "navigation"        => "Navigation",
  "resetCounter"      => "Reset visitor counter",
  "dateTime"          => "Time &amp; Date",
  "onlineDate"        => "Online date",
  "day"               => "Day",
  "month"             => "Month",
  "year"              => "Year",
  "wrongDate"         => "The online date is invalid !",
  "timeAdjustment"    => "Time adjustment <span class='info'>( h / min / sec )</span>",
  "timeAdjustInfo"    => "Here you can adjust the time if the server time is different to yours.",
  "wrongTime"         => "Time adjustment is invalid !",
  "wrongPrivate"      => "The private password is invalid !",
  "picFilename"       => "Picture filename",
  "visitComments"     => "Visitor comments",
  "deleteComments"    => "Delete all comments",
  "savedComments"     => "Saved comments",
  "noComments"        => "No comments available",
  "really4"           => "Do you really want to delete all visitor comments ?",
  "newComment"        => "New comment",
  "addComment"        => "Add comment",
  "editVisitComment"  => "Edit visitor comment",
  "adminComment"      => "Administrator comment",
  "number"            => "No.",
  "moderatedMode"     => "Moderated mode",
  "moderatedModeInfo" => "If you activate the moderated mode you will have the possiblity to check all entries and visitor comments before they appear in the guestbook.",
  "newEntries"        => "New entries",
  "date"              => "Date",
  "reject"            => "Reject",
  "accept"            => "Accept",
  "rejectConfirm"     => "Really reject ?",
  "newComments"       => "New comments",
  "guestbookStatus"   => "Guestbook status",
  "activate"          => "Activate guestbook",
  "deactivate"        => "Deactivate guestbook",
  "deactivatedInfo"   => "The guestbook is deactivated !",
  "useWbr"            => "Use &lt;wbr /&gt; for linebreak",
  "useWbrInfo"        => "With the use of &lt;wbr /&gt; the guestbook is not XHTML conform and the linebreak will only work in the Internet Explorer.",
  "mailsNotification" => "Emails / Notification",
  "activateEmail"     => "Activate Email",
  "subject"           => "Subject",
  "message"           => "Message",
  "emailInfo"         => "The following strings will be replaced:<br /><br /><b>::name::</b> by the name of entry<br /><b>::date::</b> by the current date<br /><b>::time::</b> by the current time<br />",
  "replaceURL"        => "<b>::url::</b> by the URL to the guestbook<br />",
  "replaceComment"    => "<b>::comment::</b> by the comment text<br />",
  "replaceReason"     => "<b>::reason::</b> by the reason you can enter<br />",
  "emailInfo2"        => "<br />Leave the field empty for a default text.",
  "email1"            => "New entry notification",
  "email2"            => "Thank you Email",
  "email3"            => "Entry commented notification",
  "email4"            => "Entry accepted notification",
  "email5"            => "Entry rejected notification",
  "mailAccepted"      => "Your guestbook entry has been accepted !",
  "mailRejected"      => "Your guestbook entry has been rejected !",
  "noReason"          => "No reason given",
  "enterReason"       => "Please enter a reason:",
  "broadcast"         => "Broadcast",
  "sendBroadcast"     => "Start broadcast",
  "abort"             => "Abort",
  "broadcastDone"     => "Broadcast was successful !",
  "backURL"           => "URL to your main index",
  "backURLInfo"       => "Enter the URL to your main index here if you want to have a link back to your startpage",
  "wrongBackURL"      => "The URL to your main index is invalid !",
  "allowSearch"       => "Allow search",
  "allowSearchInfo"   => "Enables a search function for the guestbook",
  "checkEntries"      => "You must check your new entries and comments before you can deactivate the moderated mode !",
  "skin"              => "Skin",
  "guestbookInfo"     => "Guestbook information",
  "database"          => "Database",
  "servertime"        => "Server time",
  "activeSkin"        => "Active skin",
  "revision"          => "Revision",
  "artist"            => "Artist",
  "language"          => "Language",
  "modes"             => "Supported Modes",
  "notes"             => "Notes",
  "framemode"         => "Framemode",
  "nonFramemode"      => "Non-Framemode",
  "singlePagemode"    => "Single page mode",
  "visitorCounter"    => "Visitor counter",
  "visitors"          => "Visitors",
  "since"             => "Since",
  "invalidPics"       => "Pictures with invalid size",
  "showGuestbook"     => "Show guestbook",
  "showPrivGuestbook" => "Show guestbook with private entries",

  "maxSpamtimeInfo"   => "Is the minimum time which must pass by until an user can resign into the guestbook. Enter 0 to deactivate the Spam protection.",
  "useFilter"         => "Use Badword-Filter on text",
  "useEmoticons"      => "Activate Emoticons",
  "indexURL"          => "URL to guestbook",
  "indexURLInfo"      => "You must enter the URL to open your guestbook here, if you want use some of the guestbook functions.",
  "useUSDate"         => "Date format",

  // Version 1.21

  "maxEmptyLines"     => "Maximum amount of allowed empty lines",
  "maxEmptyLinesInfo" => "Here you can limit the maximum of empty lines in an entry text. Enter 0 if you don't want to use the empty lines limiter.",
  "emailTooltip"      => "Email notation",
  "emailTooltipInfo"  => "Define a spambot secure notation for email addresses in a tooltip text.<br />The following strings will be replaced:<br /><br /><b>::user::</b> by the username of the email address<br /><b>::domain::</b> by the domainname of the email address",
  "banlist"           => "IP / hostname banlist",
  "banlistInfo"       => "All of the hostnames and IPs of this list can't access your guestbook. Every IP or hostname you want to ban must stand in a new line. Enter an incomplete IP or hostname if  you want to ban all users that come from a domain.<br />For example:<br /><br />127.0.0 will ban all users with an IP from 127.0.0.1 to 127.0.0.127<br />dynamic.adsl will ban all user that have a hostname like x.dynamic.adsl",
  "banRobots"         => "Ban search robots",
  "banRobotsInfo"     => "Check this option if you don't want that search robots visit your guestbook",
  "editStyle"         => "Edit style.inc",
  "editLang"          => "Edit lang.inc",
  "notificationSetup" => "Notification Setup",
  "emailFrom"         => "From address",
  "emailFromInfo"     => "Here you can enter an address that is used for the FROM field in the Email header.",
  "onlyFirstEntry"    => "Only about first new entry since last login",
  "onlyFirstComment"  => "Notify only about first new comment",
  "htmlEmail"         => "Send HTML Emails",
  "htmlEmailInfo"     => "Check this option if you want to use HTML in your Email",
  "email6"            => "New visitor comment notification (admin)",
  "email7"            => "New visitor comment notification (user)",
  "email8"            => "Visitor comment accepted notification",
  "email9"            => "Visitor comment rejected notification",
  "replaceText"       => "<b>::text::</b> by the text of the entry<br />",
  "replaceFrom"       => "<b>::from::</b> by the author of the comment<br />",
  "commentSubject"    => "You've received a new visitor comment",
  "commentRejected"   => "Your visitor comment has been rejected",
  "commentAccepted"   => "Your visitor comment has been accepted",
  "delMarkEntries"    => "Delete all marked entries",
  "delMarkEmoticons"  => "Delete all marked Emoticons",
  "delMarkCountries"  => "Delete all marked countries",
  "delMarkComments"   => "Delete all marked Comments",
  "manageUsers"       => "Manage users",
  "userSetup"         => "User Setup",
  "passwordPrefix"    => "Password prefix",
  "passPrefixInfo"    => "If a name of an entry starts with this prefix the rest of the name is going to be interpreted as user password.<br />For example:<br /><br />If the prefix is <b>pass=</b> then an user with the password <b>secret</b> must enter <b>pass=secret</b> as name when he signs the guestbook",
  "newUser"           => "New user",
  "reserveName"       => "Reserve name",
  "reserveNameInfo"   => "Other visitors can't use the name of this user if you check this field",
  "userPassword"      => "Password",
  "signature"         => "Signature",
  "signatureInfo"     => "The text of this field will be appended to the entry text of the user",
  "addUser"           => "Add user",
  "savedUsers"        => "Saved users",
  "noUsers"           => "No users available",
  "noPrefix"          => "You must enter a password prefix !",
  "invalidPassword"   => "The password is invalid or already reserved, please enter another one !",
  "reserved"          => "reserved",
  "editUser"          => "Edit user",
  "thumbnailX"        => "Use thumbnail if X-size greater than",
  "thumbnailY"        => "Use thumbnail if Y-size greater than",
  "thumbnailXInfo"    => "If the X-size of the uploaded picture is greater than this value an enlargeable thumbnails will be used for the picture. Enter 0 if you don't want a thumbnail.",
  "thumbnailYInfo"    => "If the Y-size of the uploaded picture is greater than this value an enlargeable thumbnails will be used for the picture. Enter 0 if you don't want a thumbnail.",
  "fileError"         => "File error !<br />Please make sure that style.inc and lang.inc are available in your skin directory and have the right permissions !"
);
?>